Bug 1427336 - Missing Provides - cammelCase should not be used
Summary: Missing Provides - cammelCase should not be used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-spf13-jWalterWeatherman
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2017-02-27 23:24 UTC by Athos Ribeiro
Modified: 2017-08-15 02:51 UTC (History)
2 users (show)

Fixed In Version: golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-15 02:51:43 UTC


Attachments (Terms of Use)

Description Athos Ribeiro 2017-02-27 23:24:09 UTC
I believe this package has a wrong Provides in it. Although upstream repository name uses cammelCase style [1], the package name does not.

At the moment, this package provides

'golang(github.com/spf13/jWalterWeatherman)'

when it should provide

'golang(github.com/spf13/jwalterweatherman)'

note that the latter is upstream's intent, since their other packages imports use the lowercase version of it.

[1] https://github.com/spf13/jWalterWeatherman

Comment 1 Athos Ribeiro 2017-02-27 23:49:47 UTC
We could always require the package using the cammelCase form, but the directory tree should still be in lowercase. In this case, if I am mistaken, what could we do to improve gofed?

Comment 2 Jan Chaloupka 2017-02-28 10:54:38 UTC
Hi Athos,

this is not gofed related. I choose github.com/spf13/jWalterWeatherman prefix willingly as it was a dependency of another project exactly in that form. First come, first served. However, I can duplicate the provided package in lowercase if it helps.

Comment 3 Fedora End Of Life 2017-02-28 12:28:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Athos Ribeiro 2017-02-28 16:09:01 UTC
Hi Jan,

Duplicating the provides would help, but I believe that adding a link to the lowercase directory would also be needed:

src/github.com/spf13/hugo/helpers/content.go:31:2: cannot find package "github.com/spf13/jwalterweatherman" in any of:
	/builddir/build/BUILD/hugo-0.18.1/src/github.com/spf13/hugo/vendor/github.com/spf13/jwalterweatherman (vendor tree)
	/usr/lib/golang/src/github.com/spf13/jwalterweatherman (from $GOROOT)
	/builddir/build/BUILD/hugo-0.18.1/src/github.com/spf13/jwalterweatherman (from $GOPATH)
	/usr/share/gocode/src/github.com/spf13/jwalterweatherman

I do not understand how your packages

golang-github-spf13-cast
golang-github-spf13-viper

can find that path, since upstream imports it using the lowercase version of the jww. Was there any change from go 1.7.x to 1.8 or am I missing something?

Comment 5 Jan Chaloupka 2017-03-01 12:19:11 UTC
I patched both cast and viper packages to use the cammelcase version.
Maybe it is time to change the prefix to lowercase.

Comment 6 Athos Ribeiro 2017-03-01 12:57:38 UTC
Oh, I get it. Thank you!

Comment 7 Jan Chaloupka 2017-03-01 13:02:38 UTC
I am building new version of the package with the lowercase provides right now.

Comment 8 Fedora Update System 2017-03-01 13:18:07 UTC
golang-github-spf13-jWalterWeatherman-0-0.8.git33c24e7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-38c0c02d40

Comment 9 Fedora Update System 2017-03-01 13:18:42 UTC
golang-github-spf13-jWalterWeatherman-0-0.8.git33c24e7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-38ff0f8d09

Comment 10 Fedora Update System 2017-03-01 13:19:06 UTC
golang-github-spf13-jWalterWeatherman-0-0.8.git33c24e7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ceca9819c2

Comment 11 Fedora Update System 2017-03-02 02:22:10 UTC
golang-github-spf13-jWalterWeatherman-0-0.8.git33c24e7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38ff0f8d09

Comment 12 Fedora Update System 2017-03-02 02:53:01 UTC
golang-github-spf13-jWalterWeatherman-0-0.8.git33c24e7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ceca9819c2

Comment 13 Fedora Update System 2017-03-02 17:46:49 UTC
golang-github-spf13-jWalterWeatherman-0-0.8.git33c24e7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-38c0c02d40

Comment 14 Athos Ribeiro 2017-03-04 17:37:48 UTC
Hello Jan,

Thank you for that!


golang-github-spf13-cast and golang-github-spf13-viper will also need to be rebuilt of any package depends on them. I already did it (removing the patches and changing requires for lowercase) in COPR and it builds cleanly. Would you like me to provide patches or get ACLs on those to help you with that?

Thank you again!

Comment 15 Jan Chaloupka 2017-03-07 12:49:59 UTC
Both cast and viper updated. That would be great. How much packages would you be willing to help with? Some of them are more trickier than others. I am still extending the gofed to provide and run more analysis over Go projects. If you are interested in helping me with extending the tool, here are some issues [1]. Some of them are easy, some of them harder cause they require non trivial design and implementation of some other components, etc. I can tell you more if you have some spare time.

[1] https://github.com/gofed/gofed/issues

Comment 16 Athos Ribeiro 2017-03-07 18:28:05 UTC
(In reply to Jan Chaloupka from comment #15)
> Both cast and viper updated. 

Thanks!

> That would be great. How much packages would
> you be willing to help with? Some of them are more trickier than others.

I do have some spare time to do that, I believe I would be able to handle a few.

> I
> am still extending the gofed to provide and run more analysis over Go
> projects. If you are interested in helping me with extending the tool, here
> are some issues [1]. Some of them are easy, some of them harder cause they
> require non trivial design and implementation of some other components, etc.
> I can tell you more if you have some spare time.

OK, I will take a look on the issues and then I may start a new thread on the golang mailing list so we can move this conversation there, is that ok?

> 
> [1] https://github.com/gofed/gofed/issues

Comment 17 Jan Chaloupka 2017-03-07 19:09:23 UTC
> OK, I will take a look on the issues and then I may start a new thread on the
> golang mailing list so we can move this conversation there, is that ok?

Agree. Thanks.

Comment 18 Fedora Update System 2017-06-10 11:24:37 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-78cd7e8542

Comment 19 Fedora Update System 2017-06-10 11:24:50 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc0b3b31d6

Comment 20 Fedora Update System 2017-06-10 11:24:59 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2082f195d

Comment 21 Fedora Update System 2017-06-11 23:50:30 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-78cd7e8542

Comment 22 Fedora Update System 2017-06-12 06:32:01 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2082f195d

Comment 23 Fedora Update System 2017-06-12 06:32:25 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc0b3b31d6

Comment 24 Dusty Mabe 2017-08-11 21:14:58 UTC
jchaloup can you go ahead and push these updates to stable? that version worked for me in rawhide at least.

Comment 25 Fedora Update System 2017-08-15 02:51:43 UTC
golang-github-spf13-jWalterWeatherman-0-0.9.git0efa520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.